## loci.formats
Class AVIWriter

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatWriter
              loci.formats.AVIWriter

public class AVIWriter
extends FormatWriter

AVIWriter is the file format writer for AVI files. Much of this writer's code was adapted from Wayne Rasband's AVI Movie Writer plugin for ImageJ (available at http://rsb.info.nih.gov/ij/).

Field Summary

Fields inherited from class loci.formats.FormatWriter
`fps`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`AVIWriter()`

Method Summary
`static void` `main(String[] args)`
`void` `save(String id, Image image, boolean last)` Saves the given image to the specified (possibly already open) file.

Methods inherited from class loci.formats.FormatWriter
`getFramesPerSecond, save, setFramesPerSecond, testConvert`

Methods inherited from class loci.formats.FormatHandler
`createFilters, getFileChooser, getFileFilters, getFormat, getSuffixes, isThisType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVIWriter

    public AVIWriter()

Method Detail

### save

    public void save(String id,
                     Image image,
                     boolean last)
              throws FormatException,
                     IOException

  Saves the given image to the specified (possibly already open) file. If this image is the last one in the file, the last flag must be set.

  Specified by:
    `save` in class `FormatWriter`
  Throws:
    `FormatException`
    `IOException`

### main

    public static void main(String[] args)
                     throws IOException,
                            FormatException

  Throws:
    `IOException`
    `FormatException`